Bug 48167 - wpa: Multiple issues (4.3)
wpa: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-2-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-11-19 12:42 CET by Quality Assurance
Modified: 2018-11-21 15:21 CET (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 8.3 (CVSS:3.0/AV:A/AC:H/PR:N/UI:N/S:C/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2018-11-19 12:42:22 CET
New Debian wpa 2:2.4-1+deb9u2A~4.3.2.201811191242 fixes:
This update addresses the following issue:
* Unauthenticated EAPOL-Key decryption in wpa_supplicant (CVE-2018-14526)
Comment 1 Quality Assurance univentionstaff 2018-11-19 13:42:49 CET
--- mirror/ftp/4.3/unmaintained/4.3-0/source/wpa_2.4-1+deb9u1A~4.3.0.201711151838.dsc
+++ apt/ucs_4.3-0-errata4.3-2/source/wpa_2.4-1+deb9u2A~4.3.2.201811191242.dsc
@@ -1,7 +1,13 @@
-2:2.4-1+deb9u1A~4.3.0.201711151838 [Wed, 15 Nov 2017 18:42:03 +0100] Univention builddaemon <buildd@univention.de>:
+2:2.4-1+deb9u2A~4.3.2.201811191242 [Mon, 19 Nov 2018 12:42:29 +0100] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     eapol_test
+
+2:2.4-1+deb9u2 [Thu, 09 Aug 2018 09:23:49 +0200] Andrej Shadura <andrewsh@debian.org>:
+
+  * SECURITY UPDATE:
+    - CVE-2018-14526: Ignore unauthenticated encrypted EAPOL-Key data
+      (Closes: #905739)
 
 2:2.4-1+deb9u1 [Sat, 14 Oct 2017 14:18:32 +0200] Yves-Alexis Perez <corsac@debian.org>:
 

<http://10.200.17.11/4.3-2/#3208847301430922052>
Comment 2 Philipp Hahn univentionstaff 2018-11-19 14:53:23 CET
OK: yaml
OK: announce_errata
OK: patch
~OK: piuparts
  Only *-dbgsym packages failed as they are not available in maintained/.

[4.3-2] 6afe13ffe5 Bug #48167: wpa 2:2.4-1+deb9u2A~4.3.2.201811191242
 doc/errata/staging/wpa.yaml | 12 ++++++++++++
 1 file changed, 12 insertions(+)
Comment 3 Arvid Requate univentionstaff 2018-11-21 15:21:17 CET
<http://errata.software-univention.de/ucs/4.3/329.html>